Robotsystem from Robot Group Leipzig: SelectiveOne2OneWiring Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# SelectiveOne2OneWiring Class Reference

`#include <selectiveone2onewiring.h>`

Inheritance diagram for SelectiveOne2OneWiring:

[legend]
Collaboration diagram for SelectiveOne2OneWiring:

[legend]
List of all members.

## Detailed Description

Implements a selective one to one wireing of robot sensors to inputs of the controller and controller outputs to robot motors.

Definition at line 49 of file selectiveone2onewiring.h.

## Public Member Functions
| SelectiveOne2OneWiring (NoiseGenerator *noise, select_predicate sel_sensor)
| constructor
virtual | ~SelectiveOne2OneWiring ()
virtual bool | init (int robotsensornumber, int robotmotornumber)
| initializes the number of sensors and motors on robot side, calculate number of sensors and motors on controller side
virtual bool | wireSensors (const sensor *rsensors, int rsensornumber, sensor *csensors, int csensornumber, double noise)
| Realizes one to one wiring from robot sensors to controller sensors.
## Protected Attributes
select_predicate | sel_sensor

## Constructor & Destructor Documentation

SelectiveOne2OneWiring | ( | NoiseGenerator * | noise,
|  | select_predicate | sel_sensor
| ) |

  | constructor Parameters:
  | noise | NoiseGenerator that is used for adding noise to sensor values
  | sel_sensor | select_predicate describung what sensors should be selected
Definition at line 50 of file selectiveone2onewiring.cpp.

~SelectiveOne2OneWiring | ( |  | ) | `[virtual]`

| Definition at line 56 of file selectiveone2onewiring.cpp.

## Member Function Documentation

bool init | ( | int | robotsensornumber,
|  | int | robotmotornumber
| ) | `[virtual]`

| initializes the number of sensors and motors on robot side, calculate number of sensors and motors on controller side Reimplemented from One2OneWiring. Definition at line 62 of file selectiveone2onewiring.cpp.

bool wireSensors | ( | const sensor * | rsensors,
|  | int | rsensornumber,
|  | sensor * | csensors,
|  | int | csensornumber,
|  | double | noise
| ) | `[virtual]`

| Realizes one to one wiring from robot sensors to controller sensors. Reimplemented from One2OneWiring. Definition at line 80 of file selectiveone2onewiring.cpp.

## Member Data Documentation

select_predicate sel_sensor`[protected]`

| Definition at line 74 of file selectiveone2onewiring.h.